<testsuites>
  <!--Report is generated by Rally 3.0.0 at 2021-02-09T13:37:52.709052-->
  <testsuite errors="0" failures="0" id="9e5c8415-32a5-45ba-8f8d-6fbee83d8099" skipped="0" tests="6" time="44.00" timestamp="2021-02-09T12:05:55">
    <testcase classname="Authenticate" id="f3482e2d-0c31-4bfe-8842-18e150a81606" name="keystone" time="6.63" timestamp="2021-02-09T12:05:58" />
    <testcase classname="Authenticate" id="aad088e0-8dd7-4dcb-aa36-f6eefec45312" name="validate_cinder" time="6.50" timestamp="2021-02-09T12:06:06" />
    <testcase classname="Authenticate" id="cb2ffbb1-ad85-4687-a1f5-b96154e2ec5b" name="validate_glance" time="5.84" timestamp="2021-02-09T12:06:14" />
    <testcase classname="Authenticate" id="a65d9848-9b16-4240-ac62-ae63f751c0ff" name="validate_heat" time="5.62" timestamp="2021-02-09T12:06:20" />
    <testcase classname="Authenticate" id="ca60f243-77d6-4e5a-875c-79275014a7b8" name="validate_neutron" time="5.52" timestamp="2021-02-09T12:06:26" />
    <testcase classname="Authenticate" id="ecda0b01-a442-4832-87cc-4e19e8bb70c9" name="validate_nova" time="4.83" timestamp="2021-02-09T12:06:33" />
  </testsuite>
  <testsuite errors="0" failures="0" id="9ce7554b-6b5f-4081-9571-d5909458083b" skipped="0" tests="8" time="393.00" timestamp="2021-02-09T12:06:49">
    <testcase classname="GlanceImages" id="6df19d95-4c15-4095-ba42-f69349798803" name="create_and_delete_image" time="15.95" timestamp="2021-02-09T12:06:55" />
    <testcase classname="GlanceImages" id="7b53f3d8-e1e3-44b0-9b8b-2385b71c28a1" name="create_and_list_image" time="18.17" timestamp="2021-02-09T12:07:11" />
    <testcase classname="GlanceImages" id="08dd717e-5e2c-4e7a-915b-ec9cbcd075d8" name="list_images" time="6.33" timestamp="2021-02-09T12:07:30" />
    <testcase classname="GlanceImages" id="e37fe45b-f943-4412-8fdf-de1da556c4f3" name="create_image_and_boot_instances" time="262.90" timestamp="2021-02-09T12:07:38" />
    <testcase classname="GlanceImages" id="e9a72d96-b07b-4456-ab07-6fd13f7d69d8" name="create_and_deactivate_image" time="20.44" timestamp="2021-02-09T12:12:01" />
    <testcase classname="GlanceImages" id="3b240347-1040-495d-9792-bef35d974c20" name="create_and_download_image" time="17.76" timestamp="2021-02-09T12:12:24" />
    <testcase classname="GlanceImages" id="91747991-9d4d-497f-b436-53930acc4f2b" name="create_and_get_image" time="21.72" timestamp="2021-02-09T12:12:42" />
    <testcase classname="GlanceImages" id="2f5e6886-e688-4d7a-a121-366fd9b8c72f" name="create_and_update_image" time="16.97" timestamp="2021-02-09T12:13:04" />
  </testsuite>
  <testsuite errors="0" failures="0" id="36c101f8-6b6d-4bf9-9a49-45937583aefa" skipped="0" tests="24" time="924.00" timestamp="2021-02-09T12:13:35">
    <testcase classname="CinderVolumes" id="72298067-ea40-41d9-b6ac-c79cadabe584" name="create_and_attach_volume" time="125.39" timestamp="2021-02-09T12:13:45" />
    <testcase classname="CinderVolumes" id="0e09463b-58a7-42ab-8d87-af525fa34308" name="create_and_list_snapshots" time="29.45" timestamp="2021-02-09T12:15:52" />
    <testcase classname="CinderVolumes" id="5c271c01-e5e1-4259-8afa-93e52e241c0c" name="create_and_list_volume" time="25.21" timestamp="2021-02-09T12:16:22" />
    <testcase classname="CinderVolumes" id="2425fc38-5888-4e69-ac49-647c3de2a71e" name="create_and_list_volume" time="26.18" timestamp="2021-02-09T12:16:48" />
    <testcase classname="CinderVolumes" id="b319e304-d114-40b3-91bb-cb3f8022503e" name="create_and_upload_volume_to_image" time="68.36" timestamp="2021-02-09T12:17:16" />
    <testcase classname="CinderVolumes" id="44be05de-0d22-4b19-80a8-a071091eaa90" name="create_nested_snapshots_and_attach_volume" time="154.71" timestamp="2021-02-09T12:18:27" />
    <testcase classname="CinderVolumes" id="a931e701-abb8-41ab-ba68-3a0b462b82cd" name="create_snapshot_and_attach_volume" time="124.94" timestamp="2021-02-09T12:21:04" />
    <testcase classname="CinderVolumes" id="023383ce-9809-49a5-87ad-9a641c39e8cd" name="create_volume" time="16.79" timestamp="2021-02-09T12:23:10" />
    <testcase classname="CinderVolumes" id="611e9e6c-4262-48c3-ae5d-78b2845df275" name="create_volume" time="20.57" timestamp="2021-02-09T12:23:29" />
    <testcase classname="CinderVolumes" id="6cdb8cf9-d187-44dc-b936-b823a3543c8d" name="list_volumes" time="41.10" timestamp="2021-02-09T12:23:51" />
    <testcase classname="CinderVolumes" id="5a1eb9a0-ddb9-4fff-a4f3-e75e70f30b95" name="create_and_delete_snapshot" time="36.97" timestamp="2021-02-09T12:24:33" />
    <testcase classname="CinderVolumes" id="814a7a90-86bd-4a14-a193-ad55ef662f59" name="create_and_delete_volume" time="26.33" timestamp="2021-02-09T12:25:12" />
    <testcase classname="CinderVolumes" id="70f5e32c-bd3f-4dc4-b76a-00312af92c0e" name="create_and_delete_volume" time="28.98" timestamp="2021-02-09T12:25:40" />
    <testcase classname="CinderVolumes" id="0bd4fa67-b33e-418a-b941-8635bc703136" name="create_and_delete_volume" time="25.08" timestamp="2021-02-09T12:26:10" />
    <testcase classname="CinderVolumes" id="2da1d5e5-0dd1-4e1a-b8bb-6e63776f7891" name="create_and_extend_volume" time="28.17" timestamp="2021-02-09T12:26:37" />
    <testcase classname="CinderVolumes" id="397837b8-18e4-4781-8de9-cf59b5235f99" name="create_from_volume_and_delete_volume" time="38.33" timestamp="2021-02-09T12:27:07" />
    <testcase classname="CinderQos" id="90649060-e35d-4b7c-9e7d-9f2cf2f0c823" name="create_and_get_qos" time="7.38" timestamp="2021-02-09T12:27:47" />
    <testcase classname="CinderQos" id="ca629f62-4adb-41a1-ab8b-4b070f41b783" name="create_and_list_qos" time="7.44" timestamp="2021-02-09T12:27:56" />
    <testcase classname="CinderQos" id="6c1fc286-ab25-40cd-96c6-c30f30d548da" name="create_and_set_qos" time="7.70" timestamp="2021-02-09T12:28:04" />
    <testcase classname="CinderVolumeTypes" id="7b65e647-26ff-4600-918e-6129d89a8aac" name="create_and_get_volume_type" time="7.35" timestamp="2021-02-09T12:28:12" />
    <testcase classname="CinderVolumeTypes" id="204c73ee-e0f8-4979-a8bf-1f4176603e85" name="create_and_list_volume_types" time="8.14" timestamp="2021-02-09T12:28:20" />
    <testcase classname="CinderVolumeTypes" id="bc0b4770-5a0a-492d-93fb-9f74f996a9a0" name="create_and_update_volume_type" time="8.44" timestamp="2021-02-09T12:28:30" />
    <testcase classname="CinderVolumeTypes" id="6a0929d1-b405-4f84-babf-59c5e56cc256" name="create_volume_type_and_encryption_type" time="7.59" timestamp="2021-02-09T12:28:41" />
    <testcase classname="CinderVolumeTypes" id="7cb8d656-c2a8-49b7-9b77-0ce24b29203e" name="create_volume_type_add_and_list_type_access" time="8.66" timestamp="2021-02-09T12:28:49" />
  </testsuite>
  <testsuite errors="0" failures="0" id="706d40e9-fe92-403b-9723-7a829538050b" skipped="0" tests="13" time="536.00" timestamp="2021-02-09T12:29:11">
    <testcase classname="HeatStacks" id="50d75890-e42f-4e03-b9da-a40ce55dfb57" name="create_and_delete_stack" time="18.03" timestamp="2021-02-09T12:29:30" />
    <testcase classname="HeatStacks" id="34641bc2-a482-4c98-8428-7885139d159f" name="create_and_delete_stack" time="123.48" timestamp="2021-02-09T12:29:48" />
    <testcase classname="HeatStacks" id="8dc33e72-ba0e-4c18-a26e-fab62a6d73cb" name="create_and_delete_stack" time="81.10" timestamp="2021-02-09T12:31:53" />
    <testcase classname="HeatStacks" id="27861fa5-b681-413d-8843-60eec06e310e" name="create_and_list_stack" time="19.66" timestamp="2021-02-09T12:33:16" />
    <testcase classname="HeatStacks" id="9080a1b4-cfe8-497a-b1fe-40427e7082a7" name="create_update_delete_stack" time="33.94" timestamp="2021-02-09T12:33:36" />
    <testcase classname="HeatStacks" id="48b7a717-722c-40af-848e-69f728c2b36c" name="create_update_delete_stack" time="26.61" timestamp="2021-02-09T12:34:10" />
    <testcase classname="HeatStacks" id="783e0187-3c5b-4462-a57f-0cbfa42ffb03" name="create_update_delete_stack" time="43.86" timestamp="2021-02-09T12:34:39" />
    <testcase classname="HeatStacks" id="cedf3cd5-9fc2-4f4c-865b-f1e808e93e31" name="create_update_delete_stack" time="30.01" timestamp="2021-02-09T12:35:23" />
    <testcase classname="HeatStacks" id="b8b03da3-18a6-4571-bdc2-a2ea22211e2e" name="create_update_delete_stack" time="36.73" timestamp="2021-02-09T12:35:53" />
    <testcase classname="HeatStacks" id="286282b8-f006-4f7b-bc89-7e2f1ef25916" name="create_update_delete_stack" time="29.47" timestamp="2021-02-09T12:36:32" />
    <testcase classname="HeatStacks" id="cd7998ee-763d-4cf1-9587-8ea10a79a98c" name="create_check_delete_stack" time="25.66" timestamp="2021-02-09T12:37:02" />
    <testcase classname="HeatStacks" id="b085cbe8-791d-41ac-97d2-7adf1dc5ae8e" name="create_suspend_resume_delete_stack" time="29.81" timestamp="2021-02-09T12:37:28" />
    <testcase classname="HeatStacks" id="73c1e944-8676-47a4-8f71-861557fca175" name="list_stacks_and_resources" time="7.46" timestamp="2021-02-09T12:37:58" />
  </testsuite>
  <testsuite errors="0" failures="0" id="f298a8e7-9770-480c-8ab6-16e39105d85e" skipped="0" tests="11" time="142.00" timestamp="2021-02-09T12:38:17">
    <testcase classname="KeystoneBasic" id="0268a838-b1c2-45c1-bcb7-42ec316789d1" name="add_and_remove_user_role" time="10.65" timestamp="2021-02-09T12:38:20" />
    <testcase classname="KeystoneBasic" id="b706f175-246f-42df-8c37-285ee591f500" name="create_add_and_list_user_roles" time="9.29" timestamp="2021-02-09T12:38:32" />
    <testcase classname="KeystoneBasic" id="05145eb7-0fe9-4cab-b2cc-cbfad6efccea" name="create_and_list_tenants" time="10.36" timestamp="2021-02-09T12:38:42" />
    <testcase classname="KeystoneBasic" id="86294155-f4cf-4fda-b22c-4e2dc646094d" name="create_and_delete_role" time="7.28" timestamp="2021-02-09T12:38:55" />
    <testcase classname="KeystoneBasic" id="7dc1d761-33bf-40dc-aed8-1c83b0d8036c" name="create_and_delete_service" time="7.58" timestamp="2021-02-09T12:39:03" />
    <testcase classname="KeystoneBasic" id="af9f1d71-25d3-4b89-bb57-0ab0fd056995" name="get_entities" time="16.99" timestamp="2021-02-09T12:39:11" />
    <testcase classname="KeystoneBasic" id="1e782b23-b45d-4b1c-acf2-9166ac062f4e" name="create_update_and_delete_tenant" time="8.53" timestamp="2021-02-09T12:39:30" />
    <testcase classname="KeystoneBasic" id="08898d4a-b7a1-4402-a7af-fb52b87fb998" name="create_user" time="7.79" timestamp="2021-02-09T12:39:40" />
    <testcase classname="KeystoneBasic" id="da9dc286-23b0-4e33-a185-179646f31a3e" name="create_tenant" time="7.56" timestamp="2021-02-09T12:39:48" />
    <testcase classname="KeystoneBasic" id="65b31810-a947-49c0-af9c-d854706712d0" name="create_and_list_users" time="7.57" timestamp="2021-02-09T12:39:56" />
    <testcase classname="KeystoneBasic" id="3b48e441-e2f4-4d1f-a4a5-315dcfe4682c" name="create_tenant_with_users" time="32.80" timestamp="2021-02-09T12:40:05" />
  </testsuite>
  <testsuite errors="0" failures="0" id="9247fcda-3c7d-4ce0-969d-f704caac6ad8" skipped="0" tests="16" time="610.00" timestamp="2021-02-09T12:40:49">
    <testcase classname="NeutronNetworks" id="732cdc16-d7a1-40e7-8e97-8b0e54c33c9c" name="create_and_update_networks" time="21.97" timestamp="2021-02-09T12:40:53" />
    <testcase classname="NeutronNetworks" id="389e9ffc-7238-40cd-b4ad-516c73801e71" name="create_and_update_ports" time="34.25" timestamp="2021-02-09T12:41:16" />
    <testcase classname="NeutronNetworks" id="4c6681b1-12da-4124-ba36-4edd769a8553" name="create_and_update_routers" time="64.93" timestamp="2021-02-09T12:41:52" />
    <testcase classname="NeutronNetworks" id="af69f12b-cac6-447c-9ead-7639c0891152" name="create_and_update_subnets" time="30.14" timestamp="2021-02-09T12:42:59" />
    <testcase classname="NeutronNetworks" id="c1cde466-cce1-4c82-ae4f-c0b26ec14660" name="create_and_delete_networks" time="16.02" timestamp="2021-02-09T12:43:29" />
    <testcase classname="NeutronNetworks" id="35874aed-375e-476d-b264-1d7d368b34b4" name="create_and_delete_ports" time="27.87" timestamp="2021-02-09T12:43:45" />
    <testcase classname="NeutronNetworks" id="2bb803dd-56a5-40e9-8221-846a29f8e9bc" name="create_and_delete_routers" time="57.07" timestamp="2021-02-09T12:44:14" />
    <testcase classname="NeutronNetworks" id="b8b07c11-136a-4d73-86eb-dbba1772d4e7" name="create_and_delete_subnets" time="22.65" timestamp="2021-02-09T12:45:12" />
    <testcase classname="NeutronNetworks" id="bdb0720a-27b7-4e07-a826-815a5ca72c64" name="create_and_list_networks" time="18.64" timestamp="2021-02-09T12:45:36" />
    <testcase classname="NeutronNetworks" id="6de57283-8874-43a1-b618-4eb6c9ea8600" name="create_and_list_ports" time="29.62" timestamp="2021-02-09T12:45:57" />
    <testcase classname="NeutronNetworks" id="cbfd96e0-6869-48d3-900a-fa21040dfe59" name="create_and_list_routers" time="52.14" timestamp="2021-02-09T12:46:27" />
    <testcase classname="NeutronNetworks" id="b80d81a2-c479-44d5-a0da-f8c20df1fd5b" name="create_and_list_subnets" time="30.24" timestamp="2021-02-09T12:47:19" />
    <testcase classname="NeutronNetworks" id="e1a3947f-73c1-4780-9a9f-9934d24f2fc1" name="set_and_clear_router_gateway" time="36.92" timestamp="2021-02-09T12:47:52" />
    <testcase classname="NeutronNetworks" id="a6b9c298-aa93-47a9-b4ae-9e7ca58f943e" name="create_and_show_ports" time="32.85" timestamp="2021-02-09T12:48:30" />
    <testcase classname="NeutronNetworks" id="152e7319-c098-4c37-b9da-19a195e7daf3" name="create_and_show_routers" time="72.87" timestamp="2021-02-09T12:49:04" />
    <testcase classname="NeutronNetworks" id="70f41228-66c2-4afa-b91e-1ec4cc594898" name="create_and_show_subnets" time="38.86" timestamp="2021-02-09T12:50:19" />
  </testsuite>
  <testsuite errors="0" failures="0" id="a621dd4d-10be-46dc-80ee-a57445444fee" skipped="0" tests="26" time="2660.00" timestamp="2021-02-09T12:51:09">
    <testcase classname="NovaKeypair" id="4f8ebb44-ac29-4062-b4d6-feaa9e6643a9" name="create_and_delete_keypair" time="8.62" timestamp="2021-02-09T12:51:29" />
    <testcase classname="NovaKeypair" id="48d7c0e0-4046-4098-9aff-77469d3a24a0" name="create_and_list_keypairs" time="10.13" timestamp="2021-02-09T12:51:39" />
    <testcase classname="NovaServers" id="1f7c83a3-132d-4689-87c6-3ce36a0a5421" name="boot_and_bounce_server" time="515.08" timestamp="2021-02-09T12:51:49" />
    <testcase classname="NovaServers" id="9608bedb-d633-43d1-8b49-5602a00d2173" name="boot_and_list_server" time="56.16" timestamp="2021-02-09T13:00:26" />
    <testcase classname="NovaServers" id="74f019da-1f10-490a-9207-466bc5cf8d3a" name="boot_and_rebuild_server" time="74.90" timestamp="2021-02-09T13:01:22" />
    <testcase classname="NovaServers" id="3ef9833b-aaa9-4ae7-bbd3-e4048bb31186" name="snapshot_server" time="222.47" timestamp="2021-02-09T13:02:39" />
    <testcase classname="NovaServers" id="33637cb0-696b-4645-8340-626a162131fd" name="boot_server_from_volume" time="69.92" timestamp="2021-02-09T13:06:22" />
    <testcase classname="NovaServers" id="a07ac6bf-767b-48a1-af28-4a8512884167" name="boot_server" time="52.36" timestamp="2021-02-09T13:07:32" />
    <testcase classname="NovaServers" id="084c52f2-e3ce-447d-b2dc-677f45a42ee5" name="list_servers" time="92.79" timestamp="2021-02-09T13:08:27" />
    <testcase classname="NovaServers" id="654176a4-ac7b-4dc7-88b1-5722dbbb8423" name="resize_server" time="104.64" timestamp="2021-02-09T13:10:01" />
    <testcase classname="NovaServers" id="d7027b41-8577-45a9-872c-00f280c9706d" name="boot_and_live_migrate_server" time="125.25" timestamp="2021-02-09T13:11:48" />
    <testcase classname="NovaServers" id="12e0da75-06f1-4b3d-ae61-2827123ff9dc" name="boot_server_attach_created_volume_and_live_migrate" time="149.42" timestamp="2021-02-09T13:13:55" />
    <testcase classname="NovaServers" id="32edd889-8077-4b76-b0eb-606de9d08dc9" name="boot_server_from_volume_and_live_migrate" time="146.19" timestamp="2021-02-09T13:16:26" />
    <testcase classname="NovaKeypair" id="eec4c270-5c52-4c8f-b0dd-e580cd7ab971" name="boot_and_delete_server_with_keypair" time="54.29" timestamp="2021-02-09T13:18:53" />
    <testcase classname="NovaServers" id="c2b8506b-4485-4c09-9cea-b10037fe13ef" name="boot_server_from_volume_and_delete" time="72.68" timestamp="2021-02-09T13:19:49" />
    <testcase classname="NovaServers" id="b2283902-a032-4945-9d1e-d087241f8c6d" name="pause_and_unpause_server" time="68.07" timestamp="2021-02-09T13:21:04" />
    <testcase classname="NovaServers" id="aeb21294-89e4-4a94-9422-7262f521d6af" name="boot_and_migrate_server" time="104.02" timestamp="2021-02-09T13:22:12" />
    <testcase classname="NovaServers" id="8eeb42d2-90c4-4e93-a892-4c29c3c8aaae" name="boot_server_and_list_interfaces" time="89.47" timestamp="2021-02-09T13:23:57" />
    <testcase classname="NovaServers" id="44979f07-d552-41ca-802e-fb62569e867f" name="boot_and_get_console_url" time="89.47" timestamp="2021-02-09T13:25:27" />
    <testcase classname="NovaServers" id="e3cc05d8-fe10-478a-b4fb-b62df7e57b6d" name="boot_server_and_attach_interface" time="128.53" timestamp="2021-02-09T13:26:58" />
    <testcase classname="NovaServers" id="3db6d723-c74e-4228-9de7-4387d3530328" name="boot_server_attach_volume_and_list_attachments" time="105.33" timestamp="2021-02-09T13:29:07" />
    <testcase classname="NovaServers" id="6df45c53-9f86-4b11-8726-632b046a84a8" name="boot_server_associate_and_dissociate_floating_ip" time="128.83" timestamp="2021-02-09T13:30:53" />
    <testcase classname="NovaServers" id="99260a84-2b67-48ea-b7cb-5917e0ea1a7b" name="boot_and_associate_floating_ip" time="116.30" timestamp="2021-02-09T13:33:04" />
    <testcase classname="NovaServerGroups" id="07f0bd4e-9f3c-411f-bf6e-b9f45c4c3691" name="create_and_delete_server_group" time="7.36" timestamp="2021-02-09T13:35:01" />
    <testcase classname="NovaServerGroups" id="8fdc734e-3fd5-45f9-a07b-5e57f5cd4538" name="create_and_get_server_group" time="8.50" timestamp="2021-02-09T13:35:09" />
    <testcase classname="NovaServerGroups" id="32eaeac5-896f-4c92-8f7f-e2e107210178" name="create_and_list_server_groups" time="8.50" timestamp="2021-02-09T13:35:19" />
  </testsuite>
  <testsuite errors="0" failures="0" id="565cdb27-0441-4ae2-91b2-0efade12920f" skipped="0" tests="4" time="30.00" timestamp="2021-02-09T13:35:40">
    <testcase classname="Quotas" id="146a2f82-28e4-44af-b81c-ac0f68c0ca28" name="cinder_update_and_delete" time="5.76" timestamp="2021-02-09T13:35:44" />
    <testcase classname="Quotas" id="19d52d09-559e-4479-9ac3-79feff34ee3a" name="cinder_update" time="5.63" timestamp="2021-02-09T13:35:50" />
    <testcase classname="Quotas" id="5388f70b-700d-4585-ab97-189fc7f19de4" name="neutron_update" time="6.01" timestamp="2021-02-09T13:35:56" />
    <testcase classname="Quotas" id="8d7cd343-a5d3-47ef-8784-816a0ab884db" name="nova_update" time="6.09" timestamp="2021-02-09T13:36:02" />
  </testsuite>
  <testsuite errors="0" failures="0" id="2d4d7526-3ad2-4164-880f-7aab1266bdba" skipped="0" tests="5" time="78.00" timestamp="2021-02-09T13:36:20">
    <testcase classname="SwiftObjects" id="d2c07423-2c90-4917-a373-af2d50e10354" name="create_container_and_object_then_list_objects" time="15.38" timestamp="2021-02-09T13:36:24" />
    <testcase classname="SwiftObjects" id="35d0aedd-ca15-419c-852d-ac3fe7fc1956" name="list_objects_in_containers" time="12.09" timestamp="2021-02-09T13:36:40" />
    <testcase classname="SwiftObjects" id="e283e760-1591-4ce9-a6b2-ce8ba9730a9b" name="create_container_and_object_then_download_object" time="19.69" timestamp="2021-02-09T13:36:53" />
    <testcase classname="SwiftObjects" id="32880849-09bb-4f37-9719-f1ad46c5a8e7" name="create_container_and_object_then_delete_all" time="10.33" timestamp="2021-02-09T13:37:13" />
    <testcase classname="SwiftObjects" id="53738ef4-122b-466d-9374-bbc73aad2fb2" name="list_and_download_objects_in_containers" time="11.48" timestamp="2021-02-09T13:37:25" />
  </testsuite>
</testsuites>
